# Asterisk Project : Asterisk 12 Application_SetCallerPres

Added by wikibot , edited by wikibot on Aug 29, 2013

# SetCallerPres()

### Synopsis

Set CallerID Presentation.

### Description

Set Caller*ID presentation on a call.

### Syntax

    SetCallerPres(presentation)

##### Arguments

- `presentation`
  - `allowed_not_screened` - Presentation Allowed, Not Screened.
  - `allowed_passed_screen` - Presentation Allowed, Passed Screen.
  - `allowed_failed_screen` - Presentation Allowed, Failed Screen.
  - `allowed` - Presentation Allowed, Network Number.
  - `prohib_not_screened` - Presentation Prohibited, Not Screened.
  - `prohib_passed_screen` - Presentation Prohibited, Passed Screen.
  - `prohib_failed_screen` - Presentation Prohibited, Failed Screen.
  - `prohib` - Presentation Prohibited, Network Number.
  - `unavailable` - Number Unavailable.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown